Name:           abi-tracker
Version:        1.5
Release:        1%{?dist}
Summary:        Tool to visualize ABI changes timeline of a C/C++ library

License:        GPL+ and LGPLv2+
URL:            https://github.com/lvc/abi-tracker
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Find)
# Needed to run abi-tracker to generate man page.
BuildRequires:  help2man
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(strict)


Requires:       abi-dumper >= 0.99.9
Requires:       vtable-dumper >= 1.1
Requires:       abi-compliance-checker >= 1.99.10
Requires:       pkgdiff >= 1.6.4
Requires:       rfcdiff >= 1.41
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
A tool to visualize ABI changes timeline of a C/C++ software library.
  
The tool requires the input profile of the library in JSON format. It can be
created manually or automatically generated by the ABI Monitor:
https://github.com/lvc/abi-monitor


%prep
%setup -q


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*

# Create man page
mkdir -p %{buildroot}%{_mandir}/man1
help2man -s 1 -N --version-string %{version} \
    %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1


%files
%license LICENSE
%doc HOWTO README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar 13 2016 Richard Shaw <hobbes1069@gmail.com> - 1.5-1
- Update to latest upstream release.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Richard Shaw <hobbes1069@gmail.com> - 1.4-2
- Add manpage via help2man.
- Query upstream to clarify licensing.
  https://github.com/lvc/abi-tracker/issues/1

* Sun Dec  6 2015 Richard Shaw <hobbes1069@gmail.com> - 1.4-1
- Initial packaging.
- 
